curl --request POST \
--url https://api.gcore.com/cloud/v1/caas/{project_id}/{region_id}/containers \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"flavor": "250mCPU-512MiB",
"image": "nginx:latest",
"listening_port": 80,
"name": "nginx",
"scale": {
"max": 13,
"min": 12,
"cooldown_period": 60,
"triggers": {
"cpu": {
"threshold": 50
},
"http": {
"rate": 500,
"window": 1800
},
"memory": {
"threshold": 50
}
}
},
"commands": "python3 app.py -m test",
"description": "My first container",
"envs": {
"ENVIRONMENT_VARIABLE": "value 2",
"ENV_VAR": "value 1"
},
"is_api_key_auth": false,
"is_disabled": false,
"logging": {
"destination_region_id": 1,
"enabled": true,
"retention_policy": {
"period": 45
},
"topic_name": "my-log-name"
},
"pull_secret": "my-secret",
"timeout": 5
}
'import requests
url = "https://api.gcore.com/cloud/v1/caas/{project_id}/{region_id}/containers"
payload = {
"flavor": "250mCPU-512MiB",
"image": "nginx:latest",
"listening_port": 80,
"name": "nginx",
"scale": {
"max": 13,
"min": 12,
"cooldown_period": 60,
"triggers": {
"cpu": { "threshold": 50 },
"http": {
"rate": 500,
"window": 1800
},
"memory": { "threshold": 50 }
}
},
"commands": "python3 app.py -m test",
"description": "My first container",
"envs": {
"ENVIRONMENT_VARIABLE": "value 2",
"ENV_VAR": "value 1"
},
"is_api_key_auth": False,
"is_disabled": False,
"logging": {
"destination_region_id": 1,
"enabled": True,
"retention_policy": { "period": 45 },
"topic_name": "my-log-name"
},
"pull_secret": "my-secret",
"timeout": 5
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
flavor: '250mCPU-512MiB',
image: 'nginx:latest',
listening_port: 80,
name: 'nginx',
scale: {
max: 13,
min: 12,
cooldown_period: 60,
triggers: {cpu: {threshold: 50}, http: {rate: 500, window: 1800}, memory: {threshold: 50}}
},
commands: 'python3 app.py -m test',
description: 'My first container',
envs: {ENVIRONMENT_VARIABLE: 'value 2', ENV_VAR: 'value 1'},
is_api_key_auth: false,
is_disabled: false,
logging: {
destination_region_id: 1,
enabled: true,
retention_policy: {period: 45},
topic_name: 'my-log-name'
},
pull_secret: 'my-secret',
timeout: 5
})
};
fetch('https://api.gcore.com/cloud/v1/caas/{project_id}/{region_id}/containers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}Create container
Create a new container with the specified configuration.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project id
1
Region id
1
Body
Container flavor
^[0-9]{0,12}mCPU-[0-9]{0,12}M[i]?B$"250mCPU-512MiB"
Container image
230"nginx:latest"
Container listening port
1 <= x <= 6553580
Container name
43^[a-zA-Z0-9][a-zA-Z0-9.-]+[a-zA-Z0-9]$"nginx"
Container autoscaling
Show child attributes
Show child attributes
{ "max": 2, "min": 1 }
Container's commands
"python3 app.py -m test"
Container description
255"My first container"
Container environment variables
Show child attributes
Show child attributes
{
"ENVIRONMENT_VARIABLE": "value 2",
"ENV_VAR": "value 1"
}
Enable/Disable api key authentication. Enable api key is temporarily disabled. As a result, using CaaS with authorization is currently not supported.
false
Set to true if container is disabled
false
Logging configuration
Show child attributes
Show child attributes
{
"destination_region_id": 1,
"enabled": true,
"retention_policy": { "period": 45 },
"topic_name": "my-log-name"
}
Image pull secret
400"my-secret"
Container timeout in seconds
0 <= x <= 1805
Response
OK
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?